> ## Documentation Index
> Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create contact list

> Creates a new campaign contact list.



## OpenAPI

````yaml /api-reference/voxys_campaigns_swagger.json post /api/v1/accounts/{account_id}/campaign_contact_lists
openapi: 3.1.0
info:
  title: Voxys Connect – Extended Features
  description: >-
    API documentation for Voxys Connect extended features: Campaigns, WhatsApp
    Templates & Flows, Appointments, Scheduled Messages, Projects, Internal
    Channels, Customer Pulse, and Reports.
  version: 1.0.0
  contact:
    email: support@voxys.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://connect.voxys.ai
security:
  - userApiKey: []
tags:
  - name: Campaigns Extended
    description: Campaign triggering, analytics, scheduling, audiences, and contact lists
  - name: Scheduled Messages
    description: Schedule messages for future delivery
  - name: Outbound Reports
    description: Analytics for outbound campaign and template messages (v2)
paths:
  /api/v1/accounts/{account_id}/campaign_contact_lists:
    post:
      tags:
        - Campaigns Extended
      summary: Create contact list
      description: Creates a new campaign contact list.
      operationId: createCampaignContactList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/campaign_contact_list_create'
      responses:
        '201':
          description: Contact list created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/campaign_contact_list'
        '401':
          $ref: '#/components/responses/unauthorized'
        '422':
          $ref: '#/components/responses/unprocessable'
components:
  schemas:
    campaign_contact_list_create:
      type: object
      required:
        - name
      properties:
        name:
          type: string
        description:
          type: string
        contacts:
          type: array
          items:
            type: string
          description: Array of phone numbers or contact IDs
    campaign_contact_list:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
        contacts_count:
          type: integer
        created_at:
          type: string
          format: date-time
  responses:
    unauthorized:
      description: Authentication failed – invalid or missing api_access_token
    unprocessable:
      description: Unprocessable entity – validation errors
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        All API requests must include the `api_access_token` header with a valid
        agent or administrator token.

````